package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.SysConfigApi;

/**
 * 系统配置信息Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ISysConfigApiService 
{
    /**
     * 查询系统配置信息
     * 
     * @param id 系统配置信息主键
     * @return 系统配置信息
     */
    public SysConfigApi selectSysConfigApiById(Long id);

    /**
     * 查询系统配置信息列表
     * 
     * @param sysConfigApi 系统配置信息
     * @return 系统配置信息集合
     */
    public List<SysConfigApi> selectSysConfigApiList(SysConfigApi sysConfigApi);

    /**
     * 新增系统配置信息
     * 
     * @param sysConfigApi 系统配置信息
     * @return 结果
     */
    public int insertSysConfigApi(SysConfigApi sysConfigApi);

    /**
     * 修改系统配置信息
     * 
     * @param sysConfigApi 系统配置信息
     * @return 结果
     */
    public int updateSysConfigApi(SysConfigApi sysConfigApi);

    /**
     * 批量删除系统配置信息
     * 
     * @param ids 需要删除的系统配置信息主键集合
     * @return 结果
     */
    public int deleteSysConfigApiByIds(String ids);

    /**
     * 删除系统配置信息信息
     * 
     * @param id 系统配置信息主键
     * @return 结果
     */
    public int deleteSysConfigApiById(Long id);
}
